package be.iminds.ilabt.jfed.rspec.model.impl;

import be.iminds.ilabt.jfed.rspec.model.OpenflowDataPath;
import be.iminds.ilabt.jfed.rspec.parser.ExtraXml;

/**
 * BasicOpenflowDataPath
 */
public class BasicOpenflowDataPath implements OpenflowDataPath {
    private final ExtraXml allXml;
    private final String componentManagerId;
    private final String componentId;
    private final String dpid;

    public BasicOpenflowDataPath(ExtraXml allXml, String componentManagerId, String componentId, String dpid) {
        this.allXml = allXml;
        this.componentManagerId = componentManagerId;
        this.componentId = componentId;
        this.dpid = dpid;
    }

    @Override
    public ExtraXml getAsExtraXml() {
        return allXml;
    }

    @Override
    public String getComponentManagerId() {
        return componentManagerId;
    }

    @Override
    public String getComponentId() {
        return componentId;
    }

    @Override
    public String getDpid() {
        return dpid;
    }
}
